Payments - Update Metadata
curl --request POST \
--url https://sandbox.birrpay.io/payments/{payment_id}/update_metadata \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data '{
"metadata": {}
}'import requests
url = "https://sandbox.birrpay.io/payments/{payment_id}/update_metadata"
payload = { "metadata": {} }
headers = {
"api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {}})
};
fetch('https://sandbox.birrpay.io/payments/{payment_id}/update_metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_id": "<string>",
"metadata": {}
}{
"error_type": "invalid_request",
"message": "Missing required param: {param}",
"code": "IR_04"
}Payments
Payments - Update Metadata
POST
/
payments
/
{payment_id}
/
update_metadata
Payments - Update Metadata
Authorizations
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The identifier for payment
Body
application/json
Metadata is useful for storing additional, unstructured information on an object.
⌘I